BMA EHR API Document

Loading...
Searching...
No Matches
Properties | List of all members
BMA.EHR.Domain.Models.HR.ProfileCertificateHistory Class Reference
Inheritance diagram for BMA.EHR.Domain.Models.HR.ProfileCertificateHistory:

## Properties
string? | CertificateNo`[get, set]`
string? | Issuer`[get, set]`
DateTime? | IssueDate`[get, set]`
DateTime? | ExpireDate`[get, set]`
string? | CertificateType`[get, set]`
virtual ? ProfileCertificate | ProfileCertificate`[get, set]`
Properties inherited from BMA.EHR.Domain.Models.Base.EntityBase
Guid | Id`[get, set]`
DateTime | CreatedAt = DateTime.Now`[get, set]`
string | CreatedUserId = string.Empty`[get, set]`
DateTime? | LastUpdatedAt`[get, set]`
string | LastUpdateUserId = string.Empty`[get, set]`
string | CreatedFullName = string.Empty`[get, set]`
string | LastUpdateFullName = string.Empty`[get, set]`

## Property Documentation

## ◆ CertificateNo

string? BMA.EHR.Domain.Models.HR.ProfileCertificateHistory.CertificateNo
| get set

## ◆ CertificateType

string? BMA.EHR.Domain.Models.HR.ProfileCertificateHistory.CertificateType
| get set

## ◆ ExpireDate

DateTime? BMA.EHR.Domain.Models.HR.ProfileCertificateHistory.ExpireDate
| get set

## ◆ IssueDate

DateTime? BMA.EHR.Domain.Models.HR.ProfileCertificateHistory.IssueDate
| get set

## ◆ Issuer

string? BMA.EHR.Domain.Models.HR.ProfileCertificateHistory.Issuer
| get set

## ◆ ProfileCertificate

virtual ? ProfileCertificate BMA.EHR.Domain.Models.HR.ProfileCertificateHistory.ProfileCertificate
| get set

The documentation for this class was generated from the following file:

- BMA.EHR.Domain/Models/HR/ProfileCertificateHistory.cs